language = "C"
style = "Type"

sys_includes = [
    "stdio.h",
    "locale.h",
    "stddef.h",
    "stdarg.h",
    "stdint.h",
    "string.h",
    "stdlib.h",
    "wctype.h",
    "ctype.h",
    "time.h"
]
no_includes = true

include_guard = "_WCHAR_H"
trailer = "#include <bits/wchar.h>"

usize_type = "size_t"
isize_type = "ssize_t"

[export]
include = ["mbstate_t"]
exclude = [
    "fwprintf",
    "fwscanf",
    "swprintf",
    "swscanf",
    "wprintf",
    "wscanf"
]
